Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1564510 - Grafana dashboards with new nodes are created before user initiates cluster expansion
Summary: Grafana dashboards with new nodes are created before user initiates cluster e...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-monitoring-integration
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: gowtham
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-04-06 13:19 UTC by Filip Balák
Modified: 2018-09-04 07:04 UTC (History)
3 users (show)

Fixed In Version: tendrl-ui-1.6.3-3.el7rhgs tendrl-gluster-integration-1.6.3-4.el7rhgs tendrl-monitoring-integration-1.6.3-4.el7rhgs tendrl-commons-1.6.3-6.el7rhgs tendrl-node-agent-1.6.3-6.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
https://bugzilla.redhat.com/buglist.cgi?action=wrap&bug_status=NEW&bug_status=ASSIGNED&bug_status=POST&bug_status=MODIFIED&classification=Red%20Hat&f1=delta_ts&f10=flagtypes.name&f11=component&f2=creation_ts&f3=cf_internal_whiteboard&f5=flagtypes.name&f6=short_desc&f7=flagtypes.name&f8=component&f9=cf_internal_whiteboard&list_id=8773063&o1=greaterthaneq&o10=notsubstring&o11=anywordssubstr&o2=changedafter&o3=notsubstring&o5=notsubstring&o6=notsubstring&o7=notsubstring&o8=nowordssubstr&o9=notsubstring&order=bug_id&product=Red%20Hat%20Gluster%20Storage&query_based_on=&query_format=advanced&v1=2017-11-09&v10=devel_ack%2B&v11=web&v2=2017-11-09&v3=3.4.0-beyond&v5=cns&v6=RHS1%20colonizer&v7=3.3.z%2B&v8=doc-%2C%20Doc%2C%20hadoop%2C%20splunk%2C%20heketi%2C%20cns%2C%20CNS%2C%20rhhi%2C%20container%2C%20colonizer&v9=3.3.1_async
Last Closed: 2018-09-04 07:03:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
Brick dashboard for not properly managed brick (84.29 KB, image/png)
2018-04-06 13:19 UTC, Filip Balák
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github Tendrl monitoring-integration issues 431 0 None None None 2018-04-26 05:05:24 UTC
Github Tendrl monitoring-integration pull 432 0 None None None 2018-04-25 15:38:07 UTC
Github Tendrl node-agent issues 810 0 None None None 2018-05-15 16:30:40 UTC
Red Hat Bugzilla 1516417 0 unspecified CLOSED Expanding an existing RHGS cluster managed by RHGS WA by adding nodes and monitoring 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2018:2616 0 None None None 2018-09-04 07:04:50 UTC

Internal Links: 1516417

Description Filip Balák 2018-04-06 13:19:07 UTC
Created attachment 1418133 [details]
Brick dashboard for not properly managed brick

Description of problem:
I have tried cluster expansion initiated by a newly added button. Before I pushed the button I waited for some time and opened dashboards. There were created Grafana dashboards for new nodes and bricks that were going to be expanded. Those dashboards were showing no data.

Version-Release number of selected component (if applicable):
tendrl-ansible-1.6.1-3.el7rhgs.noarch
tendrl-api-1.6.1-3.el7rhgs.noarch
tendrl-api-httpd-1.6.1-3.el7rhgs.noarch
tendrl-commons-1.6.1-3.el7rhgs.noarch
tendrl-gluster-integration-1.6.1-3.el7rhgs.noarch
tendrl-grafana-plugins-1.6.1-3.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.1-3.el7rhgs.noarch
tendrl-node-agent-1.6.1-3.el7rhgs.noarch
tendrl-notifier-1.6.0-1.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.1-3.el7rhgs.noarch
glusterfs-3.12.2-7.el7rhgs.x86_64

How reproducible:
80%

Steps to Reproduce:
1. Setup WA and Gluster cluster with volume.
2. Import cluster into WA.
3. Add more nodes to gluster trusted pool.
4. On new nodes create bricks and add them to existing volume.
5. Run tendrl-ansible on new nodes.
6. Wait half an hour.

Actual results:
In Grafana are new Host and Brick dashboards for new nodes that show no data (all charts are empty).

Expected results:
Grafana dashboards for new nodes should be created after cluster expansion triggered by user from UI is finished.

Additional info:

Comment 1 gowtham 2018-04-30 08:39:46 UTC
This issue si fixed

Comment 4 Filip Balák 2018-05-09 13:19:13 UTC
The issue is fixed for `Host Dashboard` but for `Brick Dashboard` the issue still remains. There are created new options in navigation for `Brick Dashboard` that lead to empty dashboards for unmanaged nodes. --> ASSIGNED

Tested with:
tendrl-ansible-1.6.3-3.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-4.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-2.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-2.el7rhgs.noarch
tendrl-node-agent-1.6.3-4.el7rhgs.noarch
tendrl-notifier-1.6.3-2.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-1.el7rhgs.noarch

Comment 5 gowtham 2018-05-17 07:23:26 UTC
https://github.com/Tendrl/node-agent/pull/811 this patch is not merged in tendrl-node-agent-1.6.3-5.el7rhgs still under review

Comment 6 Filip Balák 2018-05-22 08:49:37 UTC
The issue in `Brick Dashboard` still remains. Not yet expanded node can be selected as `Host Name` option and empty dashboard is shown.
--> ASSIGNED

Tested with:
tendrl-ansible-1.6.3-4.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-5.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-3.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-3.el7rhgs.noarch
tendrl-node-agent-1.6.3-5.el7rhgs.noarch
tendrl-notifier-1.6.3-3.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-2.el7rhgs.noarch

Comment 7 gowtham 2018-05-23 19:27:59 UTC
this issue is wrongly changed to modified state, Please refer above comment, PR for this issue is merged on 21-5-2018. so this changes not in tendrl-node-agent-1.6.3-5.el7rhgs.noarch. It will be in next release.

Comment 8 gowtham 2018-05-24 05:57:34 UTC
i have wrongly moved this bug to modified, PR for this issue is merged in upstream, i thought if it is merged then i can move this to modified, but it should in the post. I apologise for this :) i will moving this to post

Comment 9 Filip Balák 2018-06-04 08:45:38 UTC
Looks ok. --> VERIFIED

Tested with:
tendrl-ansible-1.6.3-4.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-6.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-4.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-4.el7rhgs.noarch
tendrl-node-agent-1.6.3-6.el7rhgs.noarch
tendrl-notifier-1.6.3-3.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-3.el7rhgs.noarch

Comment 11 errata-xmlrpc 2018-09-04 07:03:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.